unit ASFDemoMain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ShellAPI, CustomEvents;

type
  Tfrm_Main = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    btnAbout: TButton;
    procedure btnAboutClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Label2Click(Sender: TObject);
    procedure Label3Click(Sender: TObject);
    procedure LabelMouseEnter(Sender: TObject);
    procedure LabelMouseLeave(Sender: TObject);
  private
    SplashImagePath: string;
    { Private declarations }
  public
    procedure AppActivate(Sender: TObject);
    procedure CloseAboutForm(Sender: TObject);
    { Public declarations }
  end;

var
  frm_Main: Tfrm_Main;

implementation

uses
  ASFMain, GDIPAPI, GDIPOBJ, GDIPUTIL, ASFLists;

{$R *.dfm}


procedure Tfrm_Main.FormCreate(Sender: TObject);
begin
  AnimationSplashForm.ProgressBarCurrentSection := 1;
  AnimationSplashForm.LoadingSectionTime := 5000;
  Sleep(5000);

  AnimationSplashForm.IncCurrentSection;
  AnimationSplashForm.WaitModeStart();
  Sleep(15000);
  AnimationSplashForm.WaitModeEnd;

  AnimationSplashForm.IncCurrentSection;
  AnimationSplashForm.LoadingSectionTime := 5000;
  Sleep(5000);
end;

procedure Tfrm_Main.btnAboutClick(Sender: TObject);
begin
  SplashImagePath := ExtractFilePath(ParamStr(0)) + 'img\';
  AnimationSplashForm := TAnimationSplashForm.CreateFullFrom(SplashImagePath + 'FullData.dat', False);
  with AnimationSplashForm do begin
    onDestroySplash := CloseAboutForm;
    onAfterDraw := SplashCustomEvent.CustomDraw;
    onMouseMove := SplashCustomEvent.MouseMove;
    onMouseDown := SplashCustomEvent.MouseDown;
    SplashCustomEvent.crArrow := LoadImage(hInstance, PChar(SplashImagePath + 'cursor2.ani'), IMAGE_CURSOR, 32, 32, LR_LOADFROMFILE);
    SplashCustomEvent.crHand := LoadImage(hInstance, PChar(SplashImagePath + 'cursor1.ani'), IMAGE_CURSOR, 48, 48, LR_LOADFROMFILE);
    Cursor := SplashCustomEvent.crArrow;
    FadeSpeed := 255;
    ShowTaskbarButton := False;
    ProgressBar^.BarVisible := False;
    with TextData.Items[2] do begin
      TextBox := MakeRect(TextBox.X, TextBox.Y, TextBox.Width, 29);
      FontSize := 14;
      Text := 'Close';
    end;
    SplashCustomEvent.AboutShow := True;

    Application.OnActivate := AppActivate;
    frm_Main.Enabled := False;

    StartSplash;
  end;
end;

procedure Tfrm_Main.AppActivate(Sender: TObject);
begin
  if SplashCustomEvent.AboutShow then begin
    SetForegroundWindow(AnimationSplashForm.Handle);
  end;
end;

procedure Tfrm_Main.CloseAboutForm(Sender: TObject);
begin
  Application.OnActivate := nil;
  frm_Main.Enabled := True;
  AnimationSplashForm := nil;
end;





























procedure Tfrm_Main.Label2Click(Sender: TObject);
begin
  Screen.Cursor := crHourGlass;
  ShellExecute(Application.Handle, nil,
      'mailto:ASF%20-%20Andy%20BitOff<asf@bitoff.ru>?subject=AnimationSplashForm',
      nil, nil, SW_SHOWNORMAL);
  Screen.Cursor := crDefault;
end;

procedure Tfrm_Main.Label3Click(Sender: TObject);
begin
  Screen.Cursor := crHourGlass;
  ShellExecute(Application.Handle, nil,
      PChar(TLabel(Sender).Hint),
      nil, nil, SW_SHOWNORMAL);
  Screen.Cursor := crDefault;
end;

procedure Tfrm_Main.LabelMouseEnter(Sender: TObject);
var
  a: Integer;
begin
  Screen.Cursor := crHandPoint;
  a := TLabel(Sender).Tag;
  TLabel(Sender).Tag := TLabel(Sender).Font.Color;
  TLabel(Sender).Font.Color := TColor(a);
end;

procedure Tfrm_Main.LabelMouseLeave(Sender: TObject);
begin
  LabelMouseEnter(Sender);
  Screen.Cursor := crDefault;
end;

end.

